package net.sf.sido.io.json;

import net.sf.sido.DataObject;
import org.codehaus.jackson.JsonGenerator;
import org.codehaus.jackson.JsonNode;
import org.codehaus.jackson.JsonProcessingException;
import org.codehaus.jackson.map.JsonSerializer;
import org.codehaus.jackson.map.SerializerProvider;

import java.io.IOException;

public class SiDOJsonSerializer extends JsonSerializer<DataObject> {

    @Override
    public Class<DataObject> handledType() {
        return DataObject.class;
    }

    @Override
    public void serialize(DataObject dataObject, JsonGenerator jsonGenerator, SerializerProvider serializerProvider) throws IOException, JsonProcessingException {
        JSONDataObjectWriter writer = new JSONDataObjectWriter();
        JsonNode node = writer.createElement("test", dataObject);
        jsonGenerator.writeTree(node);
    }
}
